Skip to main content
POST
/
outbound
/
transactional-keys
curl --request POST \
  --url https://api.jetemail.com/outbound/transactional-keys \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Development API Key"
}
'
{
  "success": true,
  "message": "Transactional key created successfully",
  "api_token": "transactional_a1b2c3d4"
}

Authorizations

Authorization
string
header
required

API key for account management endpoints. Use your api_ prefixed token.

Body

application/json
name
string
required

Name for the transactional key

Required string length: 1 - 64
Pattern: ^[a-zA-Z0-9-_\s]+$
Example:

"Production API Key"

approvedDomains
string[]

List of approved domains for sending

Maximum array length: 253
Pattern: ^(?:[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?.)+[a-zA-Z]{2,}$
Example:
["example.com", "mydomain.com"]
quota
integer
default:0

Email sending quota (0 for unlimited)

Required range: 0 <= x <= 1000000
Example:

1000

ipRestrictions
string[]

List of allowed IP addresses/CIDR ranges (IPv4 and IPv6)

Maximum array length: 50
Pattern: ^(?:(?:(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?).){3}(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)(?:/(?:3[0-2]|[12]?[0-9]))?)|(?:(?:[0-9a-fA-F]{1,4}:){7}[0-9a-fA-F]{1,4}(?:/(?:12[0-8]|1[01][0-9]|[1-9]?[0-9]))?|(?:[0-9a-fA-F]{1,4}:){1,7}:(?:/(?:12[0-8]|1[01][0-9]|[1-9]?[0-9]))?|(?:[0-9a-fA-F]{1,4}:){1,6}:[0-9a-fA-F]{1,4}(?:/(?:12[0-8]|1[01][0-9]|[1-9]?[0-9]))?|(?:[0-9a-fA-F]{1,4}:){1,5}(?::[0-9a-fA-F]{1,4}){1,2}(?:/(?:12[0-8]|1[01][0-9]|[1-9]?[0-9]))?|(?:[0-9a-fA-F]{1,4}:){1,4}(?::[0-9a-fA-F]{1,4}){1,3}(?:/(?:12[0-8]|1[01][0-9]|[1-9]?[0-9]))?|(?:[0-9a-fA-F]{1,4}:){1,3}(?::[0-9a-fA-F]{1,4}){1,4}(?:/(?:12[0-8]|1[01][0-9]|[1-9]?[0-9]))?|(?:[0-9a-fA-F]{1,4}:){1,2}(?::[0-9a-fA-F]{1,4}){1,5}(?:/(?:12[0-8]|1[01][0-9]|[1-9]?[0-9]))?|[0-9a-fA-F]{1,4}:(?::[0-9a-fA-F]{1,4}){1,6}(?:/(?:12[0-8]|1[01][0-9]|[1-9]?[0-9]))?|:(?::[0-9a-fA-F]{1,4}){1,7}(?:/(?:12[0-8]|1[01][0-9]|[1-9]?[0-9]))?|::(?:/(?:12[0-8]|1[01][0-9]|[1-9]?[0-9]))?)$
Example:
[
"192.168.1.1",
"10.0.0.0/24",
"2001:db8::1",
"2001:db8::/32"
]

Response

Transactional key created successfully

success
boolean
Example:

true

message
string
Example:

"Transactional key created successfully"

api_token
string

The generated API token

Example:

"transactional_a1b2c3d4"